Page MenuHomePhabricator

Program 7 Outcome 3: data services
Closed, ResolvedPublic

Description

See https://www.mediawiki.org/wiki/Wikimedia_Technology/Goals/2017-18_Q1#Cloud_Services

Program

Smart tools for better data

Goal

Make Wikimedia data easily available for both the Foundation and the different Wiki communities by providing better tools, infrastructure, and access to data for editors, communities, and Foundation staff.

Outcome

Wikimedia Cloud Services users have easy access to public data.

Objectives, Activities, Milestones, and Targets

  • Objective 1: Provide reliable and available access to Wikimedia database dumps by upgrading the hardware used and consolidating access by internal teams, Cloud Services users, external mirrors, and HTTPS downloaders to the new canonical location.
  • Objective 2: Complete migration of production database replica access for Cloud services customers to the new high-availability cluster, which uses 'row based' replication technology to provide a more consistent view of production data.
  • Objective 3: Collaborate with Wikimedia Cloud Services customers to publish new applicable data sets

Related Objects

StatusSubtypeAssignedTask
Resolvedbd808
Resolved madhuvishy
Resolved madhuvishy
Resolved madhuvishy
Resolved madhuvishy
ResolvedArielGlenn
ResolvedArielGlenn
Resolved ezachte
ResolvedArielGlenn
Resolved madhuvishy
Resolved madhuvishy
Resolved madhuvishy
Resolved madhuvishy
Resolved madhuvishy
Resolved madhuvishy
Resolved madhuvishy
Resolved madhuvishy
Resolved madhuvishy
Resolved madhuvishy
Resolved madhuvishy
Resolvedbd808
Resolvedbd808
Resolvedbd808
Resolved madhuvishy
Resolvedbd808
Resolvedbd808
Resolvedbd808
Resolvedzhuyifei1999
OpenNone
Resolvedjcrespo
Resolvedbd808
Resolvederanroz
ResolvedMarostegui
DeclinedNone
OpenNone
StalledNone
OpenNone
DeclinedNone
DuplicateNone
DuplicateNone
Resolvedzhuyifei1999
DeclinedNone
Resolved madhuvishy
Resolvedjcrespo
Resolvedbd808
ResolvedMarostegui
ResolvedBanyek
ResolvedBanyek
ResolvedCmjohnson

Event Timeline

bd808 created this task.May 26 2017, 5:51 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 26 2017, 5:51 PM
bd808 renamed this task from Program 7 Outcome 3: Wikimedia Cloud Services users have easy access to public data to Program 7 Outcome 3: data services.May 26 2017, 6:02 PM
bd808 triaged this task as Medium priority.May 26 2017, 6:06 PM
Krinkle updated the task description. (Show Details)Oct 5 2017, 11:04 PM
bd808 closed this task as Resolved.Nov 6 2018, 11:11 PM
bd808 claimed this task.